<!-- ABOUT THE PROJECT -->
## About The Project
This is the official repo for the paper :
["Reconstructing image composition features: leading lines computation"](https://www.mdpi.com/2313-433X/10/1/5)

<!-- GETTING STARTED -->
## Required libraries
python 3.11.3

numpy 1.24.3

scikit-image 0.20.0

pillow 9.4.0

argparse 1.1

<!-- USAGE EXAMPLES -->
## Usage
#### Clone this repo
```sh
git clone https://gogs.univ-littoral.fr/jzhang/leading_lines.git
```


#### Cd to the directory
```sh
cd leading_lines 
```

#### Execute
```sh
python leadingLines.py YOUR_INPUT_PATH 
```
YOUR_INPUT_PATH can be an image (jpg or png) or a directory which contains images.

such as 
```sh
python leadingLines.py ./an_image.jpg
```
or
```sh
python leadingLines.py ./image_directory/
```

Results will be placed in OUTPUT directory. The name of this output directory can be changed with -o option.
